Get Project

Get Project
Retrieve a project by ID with optional Supervisor compatibility check

Retrieve a project by ID with optional Supervisor compatibility check

Request
URI
GET
https://{api_host}/v1/nsxt-clusters/{nsxtClusterId}/projects/{projectId}
COPY
Path Parameters
string
nsxtClusterId
Required  

NSX Cluster ID

string
projectId
Required  

Project ID

Query Parameters
boolean
supervisorCompatCheck
Optional

Query parameter to check project compatibility with Supervisor enablement. If set to true, the response will include supervisor_incompatibility_reasons field with localized error messages if the project is incompatible. If set to false or not provided, only the project details are returned.


Responses
200

Ok

Returns Project of type(s) application/json
{
    "id": "string",
    "displayName": "string",
    "path": "string",
    "isDefault": false,
    "supervisorIncompatibilityReasons": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                {
                    "errorCode": "string",
                    "errorType": "string",
                    "arguments": [
                        "string"
                    ],
                    "context": {
                        "context": "string"
                    },
                    "notifications": [
                        {
                            "severity": "string",
                            "message": "string",
                            "remediations": [
                                {
                                    "message": "string",
                                    "link": "string"
                                }
                            ],
                            "impactMessage": "string"
                        }
                    ],
                    "message": "string",
                    "remediationMessage": "string",
                    "causes": [
                        {
                            "type": "string",
                            "message": "string"
                        }
                    ],
                    "nestedErrors": [
                        {
                            "errorCode": "string",
                            "errorType": "string",
                            "arguments": [
                                "string"
                            ],
                            "context": {
                                "context": "string"
                            },
                            "notifications": [
                                {
                                    "severity": "string",
                                    "message": "string",
                                    "remediations": [
                                        {
                                            "message": "string",
                                            "link": "string"
                                        }
                                    ],
                                    "impactMessage": "string"
                                }
                            ],
                            "message": "string",
                            "remediationMessage": "string",
                            "causes": [
                                {
                                    "type": "string",
                                    "message": "string"
                                }
                            ],
                            "nestedErrors": [
                                "Error Object"
                            ],
                            "referenceToken": "string",
                            "label": "string",
                            "remediationUrl": "string"
                        }
                    ],
                    "referenceToken": "string",
                    "label": "string",
                    "remediationUrl": "string"
                }
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ]
}
string
id
Read-Only  

ID of the NSX Project

string
displayName
Read-Only  

Display Name of the NSX Project

string
path
Read-Only  

Policy Path of the NSX Project

boolean
isDefault
Read-Only  

Flag indicates whether Project is default Project or not.

array of object
supervisorIncompatibilityReasons
Optional

List of error responses explaining why the project is not compatible with Supervisor enablement. Each error response contains a localized message and optional remediation message. This field is only populated when supervisor_compat_check query parameter is set to true and the project is incompatible with Supervisor enablement.


404

Project not found

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

InternalServerError

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/nsxt-clusters/{nsxtClusterId}/projects/{projectId}